MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions | Protected Member Functions
OggVisitor Class Referenceabstract

Abstract class which iterates over Ogg packets in a Reader. More...

`#include <OggVisitor.hxx>`

Inheritance diagram for OggVisitor:
[legend]

## Public Member Functions
| OggVisitor (Reader &reader)
long | GetSerialNo () const
void | Visit ()
void | PostSeek ()
| Call this method after seeking the Reader. More...

## Protected Member Functions
virtual void | OnOggBeginning (const ogg_packet &packet)=0
virtual void | OnOggPacket (const ogg_packet &packet)=0
virtual void | OnOggEnd ()=0

## Detailed Description

Abstract class which iterates over Ogg packets in a Reader.

Subclass it and implement the virtual methods.

Definition at line 37 of file OggVisitor.hxx.

## Constructor & Destructor Documentation

OggVisitor::OggVisitor | ( | Reader & | reader | ) |
| inline explicit

Definition at line 44 of file OggVisitor.hxx.

## Member Function Documentation

long OggVisitor::GetSerialNo | ( |  | ) | const
| inline

Definition at line 47 of file OggVisitor.hxx.

virtual void OggVisitor::OnOggBeginning | ( | const ogg_packet & | packet | ) |
| protected pure virtual

virtual void OggVisitor::OnOggEnd | ( |  | ) |
| protected pure virtual

virtual void OggVisitor::OnOggPacket | ( | const ogg_packet & | packet | ) |
| protected pure virtual

void OggVisitor::PostSeek | ( |  | ) |

Call this method after seeking the Reader.

void OggVisitor::Visit | ( |  | ) |

The documentation for this class was generated from the following file:

- lib/xiph/OggVisitor.hxx